function isFloatNegativeKey(e,vls){

    if (e.charCode >= 32 && e.charCode < 127 && !/^-?\d*[.,]?\d*$/.test(vls + '' + String.fromCharCode(e.charCode)))
    {
      return false;
    }
    return true;
}

function isNumberFloatKey(evt)
{
    var charCode = (evt.which) ? evt.which : evt.keyCode;
    if (charCode != 46 && charCode > 31 && (charCode < 48 || charCode > 57)){
        return false;
    }
    return true;
 }

function isNumberKeys(evt) {
  evt = (evt) ? evt : window.event;
  var charCode = (evt.which) ? evt.which : evt.keyCode;
  if (charCode > 31 && (charCode < 48 || charCode > 57)) {
      return false;
  }
  return true;
}
$(document).on("keypress","#search_type",function(e){
  var keycode = (e.keyCode ? e.keyCode : e.which );
    if( keycode == '13' ){
        filter_process();
    }

});

function filter_process(){
  var useroot = $("#rootXPath").val();
  $("form#myforms").attr("action", useroot + "process_list/search");
  $("form#myforms").submit();
}

function alertChecked(url){
  if( confirm("Are you sure want to delete ?")){
      window.location = url
  }
}


function saveProcessDetails() {   
var usePath = $.trim($("#rootXPath").val());
var formData = new FormData();

var code = $.trim($("#pro_code").val());
var descrip = $.trim($("#pro_descp").val());

// Validation checks
if (code === '') {
  alert("Process Code is required.");
  $("#pro_code").focus();
  return false;
} else if (descrip === '') {
    alert("Product Description is required.");
  $("#pro_descp").focus();
  return false;
}
// Append form data
formData.append("identity", "PROCC");
var other_data = $('form#myForms').serializeArray();
$.each(other_data, function(key, input) {
  formData.append(input.name, input.value);
});

// AJAX request
$.ajax({
  url: usePath + "process_list/ajax_process",
  type: 'POST',
  data: formData,
  contentType: false,
  processData: false,
  success: function(resp) {
    alert(resp.message);
    if (resp.redirect_path) {
      window.location.href = resp.redirect_path;
    }
    // Further processing of response data if needed
  },
  error: function() {
    alert("An error occurred while Process details.");
  },
  cache: false
});
}

// Attach the function to form submit event
$('#myForms').on('submit', function(e) {
  e.preventDefault(); // Prevent default form submission
  saveProcessDetails(); // Call the function to save details
});


