
window.onload = function() {
  if (document.getElementById("product_code_mst")) {
    if (document.getElementById("gp_name_id").value) {
      setTimeout(function() {
        changeXProductFinishing();
      }, 500);
    }
  }
};

function alertChecked(url){
  if( confirm("Are you sure want to delete ?")){
    
      window.location = url
  }
}


function isFloatNegativeKey(e,vls){

  if (e.charCode >= 32 && e.charCode < 127 && !/^-?\d*[.,]?\d*$/.test(vls + '' + String.fromCharCode(e.charCode)))
  {
    return false;
  }
  return true;
}

function isNumberFloatKey(evt)
{
  var charCode = (evt.which) ? evt.which : evt.keyCode;
  if (charCode != 46 && charCode > 31 && (charCode < 48 || charCode > 57)){
      return false;
  }
  return true;
}

function isNumberKeys(evt) {
  evt = (evt) ? evt : window.event;
  var charCode = (evt.which) ? evt.which : evt.keyCode;
  if (charCode > 31 && (charCode < 48 || charCode > 57)) {
      return false;
  }
  return true;
}document.addEventListener("DOMContentLoaded", function() {
  // Update custom dates
  var customDates = document.getElementsByClassName('customDate');
  for (var i = 0; i < customDates.length; i++) {
      var customDate = new Date(customDates[i].innerHTML);
      if (!isNaN(customDate.getTime())) { // Check if the date is valid
          var year = customDate.getFullYear();
          var month = (customDate.getMonth() + 1).toString().padStart(2, '0');
          var day = customDate.getDate().toString().padStart(2, '0');
          customDates[i].innerHTML = day + "/" + month + "/" + year;
      } else {
          console.error("Invalid date format: " + customDates[i].innerHTML);
      }
  }
});

$(document).ready(function() {
  $("form#myforms").on("keypress", function (e) {
      if (e.keyCode === 13) {
          e.preventDefault(); // Prevent default action
          // Add more buttons or logic here
          return false;
      }
  });
});

function process_requestformvalidate(e){
  if (e.keyCode == 13) { 
    return false
  }
  var lengths = $("#componentlisting tr").length;  
  if( lengths <=0 ){
      alert("Please add Product in grid before process issue.");
      return false;
  }
}
function delete_data_list(id){
  var usePath      = $.trim( $("#userXRoot").val() );
  var formData     = new FormData();
  formData.append("identity", "DELCOMP");
  formData.append("mid",id);
 
if( confirm("Are you sure want to delete?")){
    $.ajax({
      url: usePath+"vendor_sampling/ajax_process",
      type: 'POST',
      data: formData,
      async: false,
      contentType: false,
      processData: false,
      success: function (resp) { 
        alert(resp.message);   
        var htmls = ""     
        var sdata = resp.data;  
        var i =1;
        if( sdata !='' )     {   
          $.each(sdata,function(key,leds){
            var myid        = "'"+leds.id+"'"
            var smplnum     = "'"+leds.smpl_prd_num+"'";
            var product     = "'"+leds.smpl_prd_name+"'";
            var qnty        = "'"+leds.smpl_prd_qty+"'";
            var remarks     = "'"+leds.smpl_prd_remark+"'" ;
            var productcode = "'"+leds.smpl_prd_code+"'" ;
            htmls +='<tr>';
            htmls +='<td>'+i+'</td>';
            htmls +='<td>'+leds.smpl_prd_num+'</td>';
            htmls +='<td>'+leds.smpl_prd_name+'</td>';
            htmls +='<td>'+leds.smpl_prd_qty+'</td>';            
            htmls +='<td>'+leds.smpl_prd_remark+'</td>';
            htmls +='<td>'+leds.oemslinked+'</td>';

            htmls +='<td><i class="fa fa-pencil-square-o edit hrmsfonts_size" onclick="modify_data_list('+myid+','+product+','+qnty+','+remarks+','+productcode+');"></i>';
  
            htmls +=' <i class="fa delete fa-trash-o hrmsfonts_size" onclick="delete_data_list('+myid+','+product+','+qnty+','+remarks+');"></i></td>';
            htmls +='</tr>';
            i++;
          }); 

        }       
        $("#componentlisting").html(htmls);
        

      },
      error: function () {
        
      },
      cache: false
  });
 
}

}

function calculate_meterial_total_cost(Id){
  var rates = $("#prl_rate"+Id).val() >0 ? $("#prl_rate"+Id).val() : 0;
  var qty   = $("#prl_item_pices"+Id).val() >0 ? $("#prl_item_pices"+Id).val() : 0;
  var tnty  = eval(qty)*eval(rates);
  if( tnty >0 ){
      $("#prl_total"+Id).val(tnty);
  }
  
}

function print_vendor_item_list(){
  var usePath   = $("#userXRoot").val();
  var printpath = $("#printitemlisted").attr("rel");
  var customer  = $.trim( $("#customers").val() );
  var smpl_num  = $.trim( $("#smpl_num").val() );    
  $.ajax({
      url: usePath+"vendor_sampling/ajax_process",
      type: 'POST',
      data: {'identity':'RCPT','smpl_num':smpl_num,'customer':customer
            },
      async: false,
      success: function (resp) {               
       if(resp.status){
          window.open(printpath,"_blank")      
        
        }else{
          alert("No record(s) found.");
        }
       

      },
      error: function () {

      },
      cache: false
  });
}


function save_product_detail(){
  
  var usePath              = $.trim( $("#userXRoot").val() );
  var formData             = new FormData();
  var attach1             = $('#smpl_file').get(0).files[0];  
  var smplmid              = $.trim( $("#smplmid").val() );
  var currprodcode        = $.trim( $("#currprodcode").val() );
  formData.append("identity", "ADDPROD");
  var other_data   = $('form#myforms').serializeArray();
  formData.append("smplmid", smplmid);
  formData.append("currprodcode", currprodcode);
  if( typeof(attach1) != "undefined" ){
    formData.append("smpl_file", attach1);
}else{
    formData.append("smpl_file", '');
}

  $.each(other_data,function(key,input){
    formData.append(input.name,input.value);
   });

   $.ajax({
    url: usePath+"vendor_sampling/ajax_process",
    type: 'POST',
    data: formData,
    async: false,
    contentType: false,
    processData: false,
    success: function (resp) { 
      alert(resp.message);   
      var htmls = ""  
      var i = 1;   
      var sdata = resp.data;  
      if(resp.headerid>0){
        $("#mid").val(resp.headerid);
      }
      if( sdata !='' )     {   
        $.each(sdata,function(key,leds){
          var myid        = "'"+leds.id+"'"
          var smplnum     = "'"+leds.smpl_prd_num+"'";
          var product     = "'"+leds.smpl_prd_name+"'";
          var qnty        = "'"+leds.smpl_prd_qty+"'";
          var remarks     = "'"+leds.smpl_prd_remark+"'" ;
          var productcode = "'"+leds.smpl_prd_code+"'" ;
          htmls +='<tr>';
          htmls +='<td>'+i+'</td>';
          htmls +='<td>'+leds.smpl_prd_code+'</td>';
          htmls +='<td>'+leds.smpl_prd_name+'</td>';
          htmls +='<td>'+leds.smpl_prd_qty+'</td>';
          htmls +='<td>'+leds.smpl_prd_remark+'</td>';
          htmls +='<td>'+leds.oemslinked+'</td>';
          htmls +='<td><i class="fa fa-pencil-square-o edit hrmsfonts_size" onclick="modify_data_list('+myid+','+productcode+','+product+','+qnty+','+remarks+','+productcode+');"></i>';

          htmls +=' <i class="fa delete fa-trash-o hrmsfonts_size" onclick="delete_data_list('+myid+');"></i></td>';
          htmls +='</tr>';
          i++;
        }); 

      }       
       $("#componentlisting").html(htmls);
       setTimeout(function(){ create_blanks();},500);

    },
    error: function () {
       
    },
    cache: false
});


function create_blanks(){
  $("#search_prd_code").val('');
  $("#smpl_prd_num").val('');
  $("#smpl_prd_name").val('');
  $("#smpl_prd_qty").val('');
  $("#smpl_prd_remark").val('');
  $("#smplmid").val('');
  $("#current_component").val('');
  $("#currprodcode").val('');
  $("#search_prd_name").val('');
  $("#prepid").val('');
  $("#search_oem_item").val(''); 
}
   
}



function modify_data_list(id,productcode,product,qnty,remarks){
  $("#search_prd_code").val(productcode);
  $("#smpl_prd_name").val(productcode);
  $("#smpl_prd_qty").val(qnty);
  $("#search_prd_name").val(product);
  $("#smpl_prd_remark").val(remarks);
  $("#smplmid").val(id);
  $("#current_component").val(productcode);
  $("#currprodcode").val(productcode);
  
}



function search_product(){
  var useroot = $("#userXRoot").val(); 
  $("form#myforms").attr("action",useroot+"vendor_sampling/search");
  $("form#myforms").submit();
}

$("#smpl_dt").click(function() {
  $(this).datepick({ dateFormat: "dd-M-yyyy"}).datepick("show");
});

$(document).on("keypress", ".product-search-input", function(e) {
  var keycode = (e.keyCode ? e.keyCode : e.which);
  if (keycode == '13') {
    e.preventDefault(); // Prevent form submission

    var type = $(this).attr("id");
    var value = $(this).val();
    var protype = "";

    if (type === 'prl_item_code') {
      protype = "prodcode";
    } else if (type === 'prl_item_name') {
      protype = "prodname";
    }

    search_product_data_list(protype, value);
  }
});

function search_product_data_list(protype, vl) {
  var usePath = $("#rootXPath").val();
  var productname = $.trim(vl);
  var prodlist = $("#gp_name_id").val();

  if (!prodlist) {
    showToaster('warning', "Please select a product from the Finished Product List.");
    return;
  }

  $.ajax({
    url: usePath + "product/ajax/send_product_details",
    type: 'POST',
    data: {'productname': productname, 'protype': protype, 'issearchproductcode': 'PRCODENAME'},
    async: false,
    success: function(resp) {
      var sdata = resp.data;
      var mhtml = '';

      if (sdata.length > 0) {
        if (protype == 'prodcode') {
          $.each(sdata, function(key, leds) {
            // Populating fields directly without using mhtml
            $("#prl_item_code").val(leds.pd_productcode);
            $("#prl_item_name").val(leds.pd_productname);
            $("#prl_uom").val(leds.uom);
            $("#prl_cat_brand").val(leds.barndname);
          });
          $("#process_grid_productcode").html('').hide();
          $("#process_grid_product").html(mhtml).show();
        } else if (protype == 'prodname') {
          mhtml += '<div class="searchbox-list products-list popup"><select name="searchbox-list" class="form-control" onchange="get_items_searched(this.value);"><option value="">-Select Item-</option>';
          $.each(sdata, function(key, leds) {
            mhtml += '<option value="' + leds.pd_productcode + '___' + leds.pd_productname + '___' + leds.oemnumber + '___' + leds.uom + '___' + leds.barndname + '___' + leds.grosswt + '___' + leds.pdweight + '___' + leds.lessgst + '___' + leds.hsncode + '">' + leds.pd_productname + '</option>';
          });
          mhtml += '</select></div>';
          $("#process_grid_productcode").html(mhtml).show();
          $("#process_grid_product").html('').hide();
        }
      } else {
        showToaster('warning',"Record not found.");
        clear_search_fields();
      }
    },
    error: function(textStatus, errorThrown) {
      clear_search_fields();
    },
    cache: false
  });
}

function clear_search_fields() {
  $("#prl_item_code").val('');
  $("#prl_item_name").val('');
  $("#prl_item_pices").val('');
  $("#prl_uom").val('');
  $("#prl_rate").val('');
  $("#prl_total").val('');
  $("#prl_remark").val('');
  $("#prl_cat_brand").val(''); // Added clearing for this field
  $("#process_grid_product").html('').hide();
  $("#process_grid_productcode").html('').hide();
}

function get_items_searched(vl) {
  var data = vl.split('___');

  if (data[0]) $("#prl_item_code").val(data[0]);
  if (data[1]) $("#prl_item_name").val(data[1]);
  if (data[2]) $("#prl_uom").val(data[3]); // Adjusted index to match correct data field
  if (data[3]) $("#prl_cat_brand").val(data[4]); // Adjusted index to match correct data field
  if (data[4]) $("#prl_rate").val(data[5]); // Adjusted index to match correct data field
  if (data[5]) $("#prl_total").val(data[6]); // Adjusted index to match correct data field
  if (data[6]) $("#prl_remark").val(data[7]); // Adjusted index to match correct data field
  $("#process_grid_product").html('').hide();
  $("#process_grid_productcode").html('').hide();
}




$('input[name="search_oem_item"]').keydown(function(e){
  if (e.keyCode == 13) { // barcode scanned!
     
          var oem     = $.trim( $("#search_oem_item").val() );
          $("#process_grid_product").html('').hide();
          if( oem == '' ){
            $("#process_grid_oems").html('').hide();
          }else{
            $("#process_grid_oems").html('Searching...').show();
          }
          setTimeout(function(){search_item_by_oem();},500);
           
      
        
         return false; // block form from being submitted yet
  }
});

function search_item_by_oem(){
  var usePath  = $("#userXRoot").val();
  var oem     = $.trim( $("#search_oem_item").val() );
  

  
          $.ajax({
            url: usePath+"enquiry/ajax_process",
            type: 'POST',
            data: {'oem': oem,'mytype':'','identity':'OEM'},
            async: false,
            success: function (resp) {
              var sdata = resp.data;
              if( resp.status){    
                  var mhtml = '';                               
                  if( sdata.length >0 ){
                    $("#search_oem_item").val('') ;
                      mhtml   += '<div class="searchbox-list products-list popup"><select name="searchbox-list" onchange="get_items_oem_listed(this.value);"><option value="">-Select Item-</option>';
                          $.each(sdata,function(key,leds){
                              mhtml += '<option value="'+leds.pd_productcode+'____'+leds.pd_productname+'____'+leds.pi_oem+'">'+leds.pi_oem+','+leds.pd_productcode+','+leds.pd_productname+'</option>';
                          });
                      mhtml += '</select></div>';
                      $("#process_grid_oems").html(mhtml).show();
                   }
              }else{
                   alert('No record(s) found.');
                  $("#process_grid_oems").html('').hide();
              }
              
            },
            error: function () {
                alert('No record(s) found.');
                 $("#process_grid_oems").html('').hide();
            },
            cache: false
      });

}

function get_items_oem_listed(vl){
  var nstr = vl.split("____");
  for(var i = 0; i < nstr.length; i++) {
     nstr[i] = nstr[i].replace(/'/g, "");
  }
  $("#smpl_prd_name").val(nstr[0]);
  $("#search_prd_code").val(nstr[0]);
  $("#search_prd_name").val(nstr[1]);
  $("#search_oem_item").val(nstr[2]);
  $("#process_grid_oems").html('').hide();
  $("#smpl_prd_qty").val(1);
  setTimeout(function(){ set_focus_data('smpl_prd_remark');},500);
}

function set_focus_data(datid){
  $("#"+datid).focus();
}



function save_meterial_detail() {
  var usePath = $("#rootXPath").val();
  var prodlist = $("#gp_name_id").val();
  if (!prodlist) {
    showToaster('warning', "Please select a product from the Finished Product List.");
    return;
  }
  var formData = new FormData();

  formData.append("identity", "ADDMETRL");
  var currprodcode = $.trim($("#currprodcode").val());
  formData.append("currprodcode", currprodcode);
  formData.append("gp_name_id", prodlist);

  // Get values from updated form
  var materialDetails = {
    prepid: $.trim($("#prepid").val()),
    prl_item_code: $.trim($("#prl_item_code").val()),
    prl_item_name: $.trim($("#prl_item_name").val()),
    prl_uom: $.trim($("#prl_uom").val()),
    prl_cat_brand: $.trim($("#prl_cat_brand").val()),
    prl_item_pices: $.trim($("#prl_item_pices").val()),
    prl_rate: $.trim($("#prl_rate").val()),
    prl_total: $.trim($("#prl_total").val()),
    prl_remark: $.trim($("#prl_remark").val())
  };

  // Validate that necessary fields are filled
  if (!materialDetails.prl_item_code || !materialDetails.prl_item_name || !materialDetails.prl_item_pices || !materialDetails.prl_rate) {
    showToaster('warning', "Please fill all the required fields.");
    return;
  }

  // Append material details to formData
  for (var key in materialDetails) {
    if (materialDetails.hasOwnProperty(key)) {
      formData.append(key, materialDetails[key]);
    }
  }

  $.ajax({
    url: usePath + "vendor_sampling/ajax_process",
    type: 'POST',
    data: formData,
    processData: false,
    contentType: false,
    success: function(resp) {
      if (resp.status) {
        showToaster('success', resp.message || "Material details saved successfully.");
        clear_material_fields();
        $("#view_meterial_details_list").html(resp.data);
      } else {
        showToaster('warning', "" + resp.message);
      }
    },
    error: function(xhr, status, error) {
      showToaster('error', "An error occurred while saving material details: " + error);
    }
  });
}

function clear_material_fields() {
  $("#prl_item_code").val('');
  $("#prl_item_name").val('');
  $("#prl_uom").val('');
  $("#prl_cat_brand").val('');
  $("#prl_item_pices").val('');
  $("#prl_rate").val('');
  $("#prl_total").val('');
  $("#prl_remark").val('');
  $("#prepid").val('');
  $("#currprodcode").val('');
}

function save_process_detail() {
  var usePath = $("#rootXPath").val();
  var prodlist = $("#gp_name_id").val();

  if (!prodlist) {
    showToaster('warning', "Please select a product from the Finished Product List.");
    return;
  }

  var formData = new FormData();
  formData.append("identity", "ADDPROC");

  var currpro_code = $.trim($("#currpro_code").val());
  formData.append("currpro_code", currpro_code);
  formData.append("gp_name_id", prodlist);

  var processDetails = {
    pro_pid: $.trim($("#pro_pid").val()),
    proc_code: $.trim($("#proc_code").val()),
    proc_desc: $.trim($("#proc_desc").val()),
    proc_part_no: $.trim($("#proc_part_no").val()),
    proc_part_desc: $.trim($("#proc_part_desc").val()),
    proc_seq: $.trim($("#proc_seq").val()),
    proc_time_req: $.trim($("#proc_time_req").val()),
    proc_dept: $.trim($("#proc_dept").val()),
    proc_cost: $.trim($("#proc_cost").val())
  };

  // Validate that necessary fields are filled
  if (!processDetails.proc_code || !processDetails.proc_desc || !processDetails.proc_part_no || !processDetails.proc_part_desc) {
    showToaster('warning', "Please fill all the required fields.");
    return;
  }

  // Append process details to formData
  for (var key in processDetails) {
    if (processDetails.hasOwnProperty(key)) {
      formData.append(key, processDetails[key]);
    }
  }

  $.ajax({
    url: usePath + "vendor_sampling/ajax_process",
    type: 'POST',
    data: formData,
    processData: false,
    contentType: false,
    success: function(resp) {
      if (resp.status) {
        showToaster('success', resp.message || "Process details saved successfully.");
        clear_process_fields();
        $("#view_process_details_list").html(resp.data);
      } else {
        showToaster('warning', resp.message);
      }
    },
    error: function(xhr, status, error) {
      showToaster('error', "An error occurred while saving process details: " + error);
    }
  });
}


function clear_process_fields() {
  $("#proc_code").val('');
  $("#proc_desc").val('');
  $("#proc_part_no").val('');
  $("#proc_part_desc").val('');
  $("#proc_seq").val('');
  $("#proc_time_req").val('');
  $("#proc_dept").val('');
  $("#proc_cost").val('');
  $("#pro_pid").val('');
  $("#currpro_code").val('');
}
function modify_meterial_data_list(id, prod_code, item_code, item_name, uom, cat_brand, item_pices, rate, total, remark) {
  $("#prepid").val(id);
  $("#currprodcode").val(prod_code);
  $("#prl_item_code").val(item_code);
  $("#prl_item_name").val(item_name);
  $("#prl_uom").val(uom);
  $("#prl_cat_brand").val(cat_brand);
  $("#prl_item_pices").val(item_pices);
  $("#prl_rate").val(rate);
  $("#prl_total").val(total);
  $("#prl_remark").val(remark);
}

function modify_process_data_list(id, prod_code, proc_code, proc_desc, proc_part_no, proc_part_desc, proc_seq, proc_time_req, proc_dept, proc_cost) {
  $("#pro_pid").val(id);
  $("#currpro_code").val(prod_code);
  $("#proc_code").val(proc_code);
  $("#proc_desc").val(proc_desc);
  $("#proc_part_no").val(proc_part_no);
  $("#proc_part_desc").val(proc_part_desc);
  $("#proc_seq").val(proc_seq);
  $("#proc_time_req").val(proc_time_req);
  $("#proc_dept").val(proc_dept);
  $("#proc_cost").val(proc_cost);


}



  // Set Toastr options
  toastr.options = {
    "closeButton": true,
    "debug": false,
    "newestOnTop": false,
    "progressBar": true,
    "positionClass": "toast-top-center", // Change position to toast-top-center
    "preventDuplicates": false,
    "onclick": null,
    "showDuration": "300",
    "hideDuration": "1000",
    "timeOut": "5000",
    "extendedTimeOut": "1000",
    "showEasing": "swing",
    "hideEasing": "linear",
    "showMethod": "fadeIn",
    "hideMethod": "fadeOut"
  };
  
  // Function to show Toastr messages
  function showToaster(type, message, title = '') {
    switch (type) {
      case 'success':
        toastr.success(message, title);
        break;
      case 'error':
        toastr.error(message, title);
        break;
      case 'warning':
        toastr.warning(message, title);
        break;
      case 'info':
        toastr.info(message, title);
        break;
      default:
        console.error('Unknown toaster type:', type);
    }
  }
  

function delete_meterial_data_list(id,product_code) {
  var usePath = $.trim($("#rootXPath").val()); // Get the base URL from input field
  var formData = new FormData();
  formData.append("identity", "DELMTRL");
  formData.append("mid", id);
  formData.append("product_code", product_code);

  // Confirm the deletion action
  if (confirm("Are you sure you want to delete?")) {
    $.ajax({
      url: usePath + "vendor_sampling/ajax_process", // Ensure URL is correct
      type: 'POST',
      data: formData,
      async: false, // Note: Avoid using 'async: false' as it can cause issues
      contentType: false,
      processData: false,
      success: function (resp) {
        if (resp.status) {
          showToaster('success', resp.message || "Material details deleted successfully.");
          clear_material_fields();
          $("#view_meterial_details_list").html(resp.data);
        } else {
          showToaster('warning', "Failed to delete material details: " + resp.message);
        }
      },
      error: function (xhr, status, error) {
        showToaster('error', "An error occurred: " + xhr.responseText);
      },
      cache: false
    });
  }
}

$(document).on("keypress", ".process-search-input", function(e) {
  var keycode = (e.keyCode ? e.keyCode : e.which);
  if (keycode == '13') {
    e.preventDefault(); // Prevent form submission

    var type = $(this).attr("id");
    var value = $(this).val();
    var protype = "";

    if (type === 'proc_code') {
      protype = "proc_code";
    } else if (type === 'proc_desc') {
      protype = "proc_desc";
    }

    search_process_data_list(protype, value);
  }
});

$(document).on("keypress", ".process-search-input", function(e) {
  var keycode = (e.keyCode ? e.keyCode : e.which);
  if (keycode == '13') {
    e.preventDefault(); // Prevent form submission

    var type = $(this).attr("id");
    var value = $(this).val();
    var protype = "";

    if (type === 'proc_code') {
      protype = "proc_code";
    } else if (type === 'proc_desc') {
      protype = "proc_desc";
    }

    search_process_data_list(protype, value);
  }
});

function search_process_data_list(protype, vl) {
  var usePath = $("#rootXPath").val();
  var processname = $.trim(vl);
  var prodlist = $("#gp_name_id").val();

  if (!prodlist) {
    showToaster('warning', "Please select a product from the Finished Product List.");
    return;
  }

  $.ajax({
    url: usePath + "vendor_sampling/ajax_process",
    type: 'POST',
    data: { 'processname': processname, 'protype': protype, 'identity': 'SRCHPROC' },
    async: false,
    success: function(resp) {
      var sdata = resp.data;
      var mhtml = '';

      if (sdata.length > 0) {
        if (protype == 'proc_code') {
          $.each(sdata, function(key, leds) {
            // Populating fields directly without using mhtml
            $("#proc_code").val(leds.pro_code);
            $("#proc_desc").val(leds.pro_descp);
          });
          $("#process_grid_description").html('').hide();
        } else if (protype == 'proc_desc') {
          mhtml += '<div class="searchbox-list products-list popup"><select name="searchbox-list" class="form-control" onchange="get_process_searched(this.value);"><option value="">-Select Item-</option>';
          $.each(sdata, function(key, leds) {
            mhtml += '<option value="' + leds.pro_code + '___' + leds.pro_descp + '">' + leds.pro_descp + '</option>';
          });
          mhtml += '</select></div>';
          $("#process_grid_description").html(mhtml).show();
        }
      } else {
        showToaster('warning', "No Process found.");
        clear_process_search_fields();
      }
    },
    error: function(textStatus, errorThrown) {
      clear_process_search_fields();
    },
    cache: false
  });
}

function clear_process_search_fields() {
  $("#proc_code").val('');
  $("#proc_desc").val('');
  $("#process_grid_description").html('').hide();
}

function get_process_searched(vl) {
  var data = vl.split('___');
  if (data[0]) $("#proc_code").val(data[0]);
  if (data[1]) $("#proc_desc").val(data[1]);
  $("#process_grid_description").html('').hide();
}


/////////////// process details product search////////////////////

$(document).on("keypress", ".process-product-input", function(e) {
  var keycode = (e.keyCode ? e.keyCode : e.which);
  if (keycode == '13') {
    e.preventDefault(); // Prevent form submission

    var type = $(this).attr("id");
    var value = $(this).val();
    var protype = "";

    if (type === 'proc_part_no') {
      protype = "prodcode";
    } else if (type === 'proc_part_desc') {
      protype = "prodname";
    }

    search_process_product_data_list(protype, value);
  }
});

function search_process_product_data_list(protype, vl) {
  var usePath = $("#rootXPath").val();
  var productname = $.trim(vl);
  var prodlist = $("#gp_name_id").val();

  if (!prodlist) {
    showToaster('warning', "Please select a product from the Finished Product List.");
    return;
  }

  $.ajax({
    url: usePath + "product/ajax/send_product_details",
    type: 'POST',
    data: {'productname': productname, 'protype': protype, 'issearchproductcode': 'PRCODENAME'},
    async: false,
    success: function(resp) {
      var sdata = resp.data;
      var mhtml = '';

      if (sdata.length > 0) {
        if (protype == 'prodcode') {
          $.each(sdata, function(key, leds) {
            // Populating fields directly without using mhtml
            $("#proc_part_no").val(leds.pd_productcode);
            $("#proc_part_desc").val(leds.pd_productname);
           
          });
          $("#process_grid_product_desc").html('').hide();
        } else if (protype == 'prodname') {
          mhtml += '<div class="searchbox-list products-list popup"><select name="searchbox-list" class="form-control" onchange="get_process_items_searched(this.value);"><option value="">-Select Item-</option>';
          $.each(sdata, function(key, leds) {
            mhtml += '<option value="' + leds.pd_productcode + '___' + leds.pd_productname + '">' + leds.pd_productname + '</option>';
          });
          mhtml += '</select></div>';
          $("#process_grid_product_desc").html(mhtml).show();
        }
      } else {
        showToaster('warning',"Record not found.");
        clear_process_search_fields();
      }
    },
    error: function(textStatus, errorThrown) {
      clear_process_search_fields();
    },
    cache: false
  });
}

function clear_process_search_fields() {
  $("#proc_part_no").val('');
  $("#proc_part_desc").val('');
  $("#process_grid_product_desc").html('').hide();
}

function get_process_items_searched(vl) {
  var data = vl.split('___');

  if (data[0]) $("#proc_part_no").val(data[0]);
  if (data[1]) $("#proc_part_desc").val(data[1]);
  $("#process_grid_product_desc").html('').hide();
}

function delete_process_data_list(id,product_code) {
  var usePath = $.trim($("#rootXPath").val()); // Get the base URL from input field
  var formData = new FormData();
  formData.append("identity", "DELPROC");
  formData.append("mid", id);
  formData.append("product_code", product_code);

  // Confirm the deletion action
  if (confirm("Are you sure you want to delete?")) {
    $.ajax({
      url: usePath + "vendor_sampling/ajax_process", // Ensure URL is correct
      type: 'POST',
      data: formData,
      async: false, // Note: Avoid using 'async: false' as it can cause issues
      contentType: false,
      processData: false,
      success: function (resp) {
        if (resp.status) {
          showToaster('success', resp.message || "Process details deleted successfully.");
          clear_process_fields();
          $("#view_process_details_list").html(resp.data);
        } else {
          showToaster('warning', "Failed to delete Process details: " + resp.message);
        }
      },
      error: function (xhr, status, error) {
        showToaster('error', "An error occurred: " + xhr.responseText);
      },
      cache: false
    });
  }
}
