
function togglePasswordnewField() {
     const passwordField = document.getElementById('new_password');
     const toggleIcon = document.getElementById('togglePasswordnew');
   
     if (passwordField.type === 'password') {
         passwordField.type = 'text';
         toggleIcon.classList.remove('fa-eye');
         toggleIcon.classList.add('fa-eye-slash');
     } else {
         passwordField.type = 'password';
         toggleIcon.classList.remove('fa-eye-slash');
         toggleIcon.classList.add('fa-eye');
     }
   }
   function togglePasswordconfirmField() {
     const passwordField = document.getElementById('confirm_password');
     const toggleIcon = document.getElementById('togglePasswordconfirm');
   
     if (passwordField.type === 'password') {
         passwordField.type = 'text';
         toggleIcon.classList.remove('fa-eye');
         toggleIcon.classList.add('fa-eye-slash');
     } else {
         passwordField.type = 'password';
         toggleIcon.classList.remove('fa-eye-slash');
         toggleIcon.classList.add('fa-eye');
     }
   }
 
   
    // Function to handle showing/hiding password fields based on selected option
    function showHidePasswordFields() {
     const newPasswordField = document.getElementById('new_password');
     const confirmPasswordField = document.getElementById('confirm_password');
 
     const generatedPassword = generatePassword(); // Assuming you have a function named generatePassword()
 
   
     // Update new password field
     newPasswordField.value = generatedPassword;
     newPasswordField.type = 'password';
     newPasswordField.readOnly = false;

     // Confirm password field
     confirmPasswordField.value = generatedPassword;
     confirmPasswordField.type = 'password';
     confirmPasswordField.readOnly = false;
   
 }
 
 
   
   // Function to generate a random password (You can use your implementation here)
   function generatePassword() {
     const length = 10; // Define the length of the generated password
     const charset = 'abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789!@#$%^&*()_+{}[]|:;"<>,.?/~'; // Define the characters used in the password
     let password = '';
   
     for (let i = 0; i < length; i++) {
       const randomIndex = Math.floor(Math.random() * charset.length);
       password += charset[randomIndex];
     }
   
     return password;
   }
 
   
 async function copyPasswordToClipboard() {
     const newPasswordField = document.getElementById('new_password');
   
     // Check if the new_password field has a value
     if (!newPasswordField.value) {
       alert('Password field is empty. Please enter a password.');
       return; // Exit the function if the password field is empty
     }
   
     try {
       await navigator.clipboard.writeText(newPasswordField.value);
       alert('Text copied to clipboard');
     } catch (err) {
       alert('Unable to copy text to clipboard. Error: ' + err);
     }
   }